1. gallery, separate images and videos
2. history and lore - who we are
3. mission and vision - who we are
4. code of conduct
5. Activities


mission:

To have some fun
To be build a relationship in-game or in digital life
To mug bystannders

vision:

To build an army of cowboys

PAHIMAKAS (The last farewell in english) is an informal Filipino Organization diverse with different nationalities and races, and filled with open-minded individuals who came to play RED DEAD ONLINE with such conviction in PVP skills and Role Playing. We are here to have fun without being toxic to other players. We maintain a positive mental attitude towards other people despite the growing numbers of griefers in the RED DEAD ONLINE Community. If one of the members are being griefed, PAHIMAKAS - trained and honed with their PVP skills, will have your back. They are as deadly as a gun.
